<div class="task">
  <div class="task-item">
    <div><p>{{task.name}}</p></div>
    <div><p>{{task.description}}</p></div>
    <ng-container *ngIf="editTaskFormVisible">
      <form [formGroup]="form" (ngSubmit)="submitEditTask(boardId, task._id, form.value.name, form.value.description)">
        <input type="text" minlength="3" formControlName="name">
        <input type="text" minlength="3" formControlName="description">
        <button type="submit">Edit</button>
      </form>
    </ng-container>
    <button (click)="deleteTaskBtn(boardId, task._id)">delete</button>
    <button (click)="editTaskFormVisible = !editTaskFormVisible">edit</button>
  </div>
</div>
